run_unittests 1.1 KB

1234567891011121314151617181920212223242526272829303132333435
  1. #!/bin/bash
  2. #
  3. # Copyright (C) 2012 The Android Open Source Project
  4. #
  5. # Licensed under the Apache License, Version 2.0 (the "License");
  6. # you may not use this file except in compliance with the License.
  7. # You may obtain a copy of the License at
  8. #
  9. # http://www.apache.org/licenses/LICENSE-2.0
  10. #
  11. # Unless required by applicable law or agreed to in writing, software
  12. # distributed under the License is distributed on an "AS IS" BASIS,
  13. # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  14. # See the License for the specific language governing permissions and
  15. # limitations under the License.
  16. #
  17. # Runs the update engine unit tests, including both userland and run-as-root
  18. # tests.
  19. if [ ! -e ./update_engine_unittests ]; then
  20. echo 'Error: unit test binary missing' >&2
  21. exit 1
  22. fi
  23. user_pass=0
  24. ./update_engine_unittests --gtest_filter='-*.RunAsRoot*' && user_pass=1
  25. root_pass=0
  26. sudo ./update_engine_unittests --gtest_filter='*.RunAsRoot*' && root_pass=1
  27. echo -n "User tests: " && [ $user_pass == 1 ] && echo "PASSED" || echo "FAILED"
  28. echo -n "Root tests: " && [ $root_pass == 1 ] && echo "PASSED" || echo "FAILED"
  29. exit $((2 - user_pass - root_pass))